package Scene.Battle

import Engine.GameEngine
import Engine.Components.MouseCollider
import Engine.Objects.Button

import Pokemon.Capacity

import SFML.Graphics.{FloatRect, Texture}
import SFML.System.tupleIntToVectorFloat

class CapacityButton(battle: Battle, capacity: Capacity)
    extends Button(Texture("src/main/resources/battle/capacity.png"), Layer.Overlay.offset(1)):
    addComponent[CapacityButtonScript](bounds)

    private class CapacityButtonScript(bounds: FloatRect) extends MouseCollider(bounds):
        def onMouseEnter(engine: GameEngine) = ()

        def onMouseClick(engine: GameEngine) =
            battle.trainer.primaryPokemon.useCapacity(capacity, battle.enemyTrainer.primaryPokemon)
            gameObject.parent.moveTo((0, -192), 8)

        def onMouseExit(engine: GameEngine) = ()
