package Scene.Battle

import Engine.Game
import Engine.Objects.{GameObject, Scene, Sprite}

import SFML.Graphics.Texture
import SFML.System.tupleIntToVectorFloat

class CapacitySelectorOverlay(battle: Battle) extends GameObject:
    val position = List((2, 6), (130, 6), (2, 67), (130, 67))

    addComponent[Sprite](Texture("src/main/resources/battle/background_capacities.png"), Layer.Overlay.layer)

    addChild(CancelBox()).moveTo((9, 145))

    position
        .zip(battle.trainer.primaryPokemon.capacity)
        .foreach((pos, capacity) => addChild(CapacityButton(battle, capacity)).moveTo(pos))
